From ee8aa278fa2214dcdc777ea9570a5f783ff06940 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 26 2021 21:20:29 +0000
Subject: [PATCH 2203/2232] Merge pull request #776 from dtolnay/vecelement


Fix wording of unsupported vector element type error
---

diff --git a/syntax/check.rs b/syntax/check.rs
index 1e52c2e..807847c 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -199,7 +199,7 @@ fn check_type_cxx_vector(cx: &mut Check, ptr: &Ty1) {
         }
     }
 
-    cx.error(ptr, "unsupported vector target type");
+    cx.error(ptr, "unsupported vector element type");
 }
 
 fn check_type_ref(cx: &mut Check, ty: &Ref) {
diff --git a/tests/ui/ptr_unsupported.stderr b/tests/ui/ptr_unsupported.stderr
index 41cea63..a3e9343 100644
--- a/tests/ui/ptr_unsupported.stderr
+++ b/tests/ui/ptr_unsupported.stderr
@@ -10,7 +10,7 @@ error: unsupported unique_ptr target type
 7 |         fn get_uniqueptr_to_ptr() -> UniquePtr<*mut C>;
   |                                      ^^^^^^^^^^^^^^^^^
 
-error: unsupported vector target type
+error: unsupported vector element type
  --> $DIR/ptr_unsupported.rs:8:45
   |
 8 |         fn get_vector_of_ptr() -> UniquePtr<CxxVector<*mut C>>;

